: Class Segment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Class Segment

    java.lang.Object
      |
      +--org.w3c.jigsaw.pagecompile.Segment

public class Segment
extends java.lang.Object

Field Summary
`static int` | `CLASS`
`static int` | `CODE`
`static int` | `EXTENDS`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `PRINT`
`static int` | `TEXT`

Method Summary
`static int` | `getDefaultType()` get the default type.
`static Segment[]` | `getSegmentMatching(Segment[] segments, int type)` Get the segments with the same type.
`int` | `getType()`
`static int` | `getType(java.lang.String type)` get the type relative to the given String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODE

    public static final int CODE

### IMPORT

    public static final int IMPORT

### EXTENDS

    public static final int EXTENDS

### IMPLEMENTS

    public static final int IMPLEMENTS

### CLASS

    public static final int CLASS

### PRINT

    public static final int PRINT

### TEXT

    public static final int TEXT

Method Detail

### getDefaultType

    public static int getDefaultType()

  get the default type.
  Returns:
    an int.

### getSegmentMatching

    public static Segment[] getSegmentMatching(Segment[] segments,
                                               int type)

  Get the segments with the same type.
  Parameters:
    `segments` - an array of Segment.
    `type` - the type
  Returns:
    an array of Segment.

### getType

    public static int getType(java.lang.String type)

  get the type relative to the given String.
  Parameters:
    `type` - The String type.
  Returns:
    an int.

### getType

    public int getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD